#insta {
    background: radial-gradient(circle at 30% 107%, #fdf497 0%, #fdf497 5%, #fd5949 45%, #d6249f 60%, #285AEB 90%);
    -webkit-background-clip: text;
    /* Also define standard property for compatibility */
    background-clip: text;
    -webkit-text-fill-color: transparent;

    font-size: 20px;
    /* change this to change the size*/
}

/*
Main lo contiene todo
Le damos un margen por arriba
*/

main {
    color: rgb(155, 147, 147);
    width: 100%;
    margin-top: 50px;
}

/*
Foto es el contenedor de la foto principal
Le damos anchura un altura
float left para que vaya por libre
position relative para poder colocarla donde queramos
hacemos flex a sus hijos para centrar la fotoprincipal
le ponemos background blanco (el color del body) para que 
*/
.foto {
    width: 300px;
    height: 300px;
    float: left;
    position: relative;
    left: 50px;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: white;
}

/*
Le damos un ancho y alto un poco mas pequeño que el div que lo contiene
Colocamos la imagen como fondo y hacemos que se adapte al tamaño del div
*/

.fotoprincipal {
    width: 200px;
    height: 200px;
    background: url(principal.jpeg);
    background-size: cover;
}

/*
Borde de los dos divs
zindex para que las fotos estén por encima de las dos líneas
*/
.foto,
.fotoprincipal {
    border: 1px solid rgb(231, 222, 222);
    border-radius: 50%;
    z-index: 2;
}

/*
Colocamos las lineas con positicn relative y dandole un top
*/

.linea {
    width: 100%;
    border: 1px solid rgb(231, 222, 222);
    position: relative;
    top: 125px;
}

.lineaabajo {
    top: 175px;
}

/* 
El contenedor descrición le situamos a la mitad de la pantalla
*/
.descripcion {
    position: relative;
    top: 50px;
    margin-left: 50%;
    width: 40%;
}

/*
Titulo en negro y padding
*/
.descripcion h1 {
    color: black;
    padding: 10px;
}

/*
Hacemos que los parrafos de .socials se comporten como flex para colocarlos horizontalmente
*/
.socials {
    display: flex;
    justify-content: space-evenly;
}

/*
div que contiene las 4 fotos
margenes y anchura para situarla
flex para colocar a sus hijos
*/
.imagenesCirculares {
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    /*width: 40%;*/
    /*margin-left: 30%;*/
    margin-top: 100px;
    margin-bottom: 50px;
    padding: 0 150px;
}

/*
Separamos las fotos en el eje X
*/
.circular {
    margin: 0 20px;
    min-width: 75px;
}

/*
Imagenes width 100% para que ocupe todo el div
border raiduis para hacerla redonda
*/
.circular img {
    width: 100%;
    border-radius: 50%;
}


/*
Contenedor que contiene una tabla de 3 columnas
*/
.galeria {
    width: 100%;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
}

/*
Ponemos un borde a cada celda y un padding para separación
Flex para colocar a los hijos
*/
.fotos {
    border: 1px solid rgb(231, 222, 222);
    padding: 20px;
    display: flex;
    flex-direction: column;
    align-items: center;
}

/*
Hacemos que la foto ocupe el 100% del contenedor
*/
.fotos img {
    width: 100%;
}

/*
le damos un ancho al contenedor que abarca los enlaces
*/
.enlaces {
    width: 70%;
}

/*
Hacemos que la lista sea flex para colocar a sus hijos
*/
.enlaces ul {
    display: flex;
    justify-content: space-evenly;
}

/*
Quitamos los puntos de la lista
le ponemos un borde superior
lo sepramos por arriba con un padding top
flex basis para que ocupe todo el tamaño
*/
.enlaces li {
    border-top: 1px solid rgb(231, 222, 222);
    list-style: none;
    padding-top: 10px;
    flex-basis: 20%;
}


/*
Cuando la resolución es menor de 750px
la tabla pasa a ser de 2x2
la foto principal desaparece
el contenedor descripción pasa a tener un ancho del 100% y margin 0
*/
@media all and (max-width:750px) {

    .galeria {
        grid-template-columns: 1fr 1fr;
    }

    .foto,
    .fotoprincipal {
        display: none;
    }

    .descripcion {
        width: 100%;
        margin: 0;
        text-align: center;
    }
}